Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_impl_util::abstract_node< Derived >::event_emitter< FieldValue > Class Template Reference

Concrete event emitter class template. More...

`#include <openvrml/node_impl_util.h>`

Inheritance diagram for openvrml::node_impl_util::abstract_node< Derived >::event_emitter< FieldValue >:
[legend]

List of all members.

## Public Member Functions

| event_emitter (openvrml::node &node, const FieldValue &value)
| Construct.
virtual | ~event_emitter () throw ()
| Destroy.

## Detailed Description

### template<typename Derived>
template<typename FieldValue>
class openvrml::node_impl_util::abstract_node< Derived >::event_emitter< FieldValue >

Concrete event emitter class template.

## Constructor & Destructor Documentation

template<typename Derived >
template<typename FieldValue >

openvrml::node_impl_util::abstract_node< Derived >::event_emitter< FieldValue >::event_emitter | ( | openvrml::node & | node,
|  | const FieldValue & | value |
| ) |  |  | `[inline]`

Construct.

Parameters:

  `[in]` | node | `node` from which events will be emitted.
  `[in]` | value | associated field value.

template<typename Derived >
template<typename FieldValue >

openvrml::node_impl_util::abstract_node< Derived >::event_emitter< FieldValue >::~event_emitter | ( |  | ) | throw ()`[inline, virtual]`

Destroy.

Implements openvrml::event_emitter.